/*===  Below are some parameters you may   ===*/
/*===          want to modify.             ===*/
/*===     See README.TXT for details       ===*/
/*                                            */
/* Warning: there is no protection against    */
/* wrong values of the parameter in this      */
/* program. In case you enter inadequate      */
/* values, the program will produce strange   */
/* outputs, or simply crash...                */

/*------ Definition of the environment  ------*/
#define GRID_SIZE 30
/* MOORE_RADIUS < GRIDSIZE/2 or set           */
/* #define MOORE_RADIUS INF for 'infinite'    */
/* neighbourhood. Must not be INF with small- */
/* world network.                             */
#define MOORE_RADIUS 1
#define ENABLE_SMALLWORLD 0
#define SMALLWORLD_P 0.0
#define OPINION_DIMENSIONS 1
/* With random sequential update,             */
/* 1 iteration=1 agent updated (all agents    */
/* updated at once with parallel update).     */
/* RANDOM_SEQUENTIAL_UPDATE 0 is parallel     */
/* update.                                    */
#define RANDOM_SEQUENTIAL_UPDATE 0
#define EXISTING_OPINION 1
/*--------------------------------------------*/


/*-------- Graphical mode parameters ---------*/
/* calibrated value is A=0.08096              */
#define A 0.2
/* calibrated value is W=0.3556               */
#define W 1.0
/*--------------------------------------------*/


/*-------- Iterative mode parameters ---------*/
#define FIRST_A 0.00
#define LAST_A 0.30
#define STEP_A 0.05
#define FIRST_W 0.050
#define LAST_W 1.00
#define STEP_W 0.05

#define NUMBER_OF_EXPERIMENTS 50
#define LAST_ITERATION 10
#define FIRST_OUTPUT 10
#define STEP_OUTPUT 1

#define NB_OF_DIFFERENT_OPINIONS_OUT 1
#define MEAN_OUT 0
#define VARIANCE_OUT 1
#define HISTOGRAM_OUT 0
#define HISTOGRAM_CLASS_NUMBER 100
#define OPINION_LIST_OUT 0
#define MEAN_LAST_OPINION_CHANGE_OUT 1
#define SNAPSHOT_OUT 0
/*--------------------------------------------*/
/* Finally, you may also want to modify the   */
/* initial distribution of the opinions in    */
/* the population (which is by default a      */
/* uniform distribution in [0,1]). This can   */
/* be done by modifying function              */
/* population_initialization(), defined in    */
/* file itselfcat.cpp at line 592.            */
/*============================================*/

